> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_get_option_details.md).

# nats\_get\_option\_details

*Article Topics:* [*Smarty*](/getting-started/common-topics/smarty.md)*,* [*Customization*](/getting-started/common-topics/customization.md)

## Parameters

(*Required parameters in bold)*

| Parameter | Description                          | Possible Values                                  | Default Value | Example        |
| --------- | ------------------------------------ | ------------------------------------------------ | ------------- | -------------- |
| optionid  | The ID of the option to get info for | Any valid optionid number                        | none          | optionid="123" |
| billerid  | The ID of the biller to get info for | Any valid optionid number or ALL for all billers | none          | billerid="1"   |
| tourid    | The ID of the tour to get info for   | Any valid tourid, within the site                | Default Tour  | tourid="1"     |

## Output

A list of option details for the given option in the {$option\_details} Smarty variable. It will contain the following information:

```
	optionid => "7"
	siteid => "3"
	networkid => "0"
	deleted => "0"
	enabled => "1"
	orderid => "1"
	option_type_id => "0"
	billerid => "0"
	programid => "0"
	no_old_members => "1"
	name => "3 Day Trial <b>test</b>"
	rebill_days => "30"
	rebill => "30.95"
	initial_days => "3"
	initial => ".25"
	initial_free => "0"
	hidden => "0"
	package_upgrade_allowed => "0"
```

When a billerid is passed into the template function, an additional index is added to {$option\_details}. This is the biller index and will contain the information for the biller for the join option. An example of what {$option\_details} will look like when a biller ID is passed into the function:

```
	optionid => "7"
	siteid => "3"
	networkid => "0"
	deleted => "0"
	enabled => "1"
	orderid => "1"
	option_type_id => "0"
	billerid => "0"
	programid => "0"
	no_old_members => "1"
	name => "3 Day Trial <b>test</b>"
	rebill_days => "30"
	rebill => "30.95"
	initial_days => "3"
	initial => ".25"
	initial_free => "0"
	hidden => "0"
	package_upgrade_allowed => "0"
	biller => Array (1)
		4 => Array (2)
			biller_optioninfo_pi_code => "1"
			biller_optioninfo_list => "1"
```

## Notes

As of NATS version 4.0.73.1, you can now pass *billerid=1* OR *billerid=ALL* to the nats\_get\_option\_details() function.&#x20;

This allows you to get option details for one specific biller, or biller details for ALL billers available for that option.

## Example Code

You need at least pass an optionid, for example:

```
{nats_get_option_details optionid=$key}
```

Or, pass an optionid and billerid. This will return the full details of option with ID 1 to the array *{$option\_details}*:

```
{nats_get_option_details optionid=1 billerid='ALL'}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_get_option_details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
